MCP Tools Reference: managedkafka

Tool: delete_topic

Deletes a Google Cloud Managed Service for Apache Kafka topic. Please provide the Project ID, Location, Cluster ID, and Topic ID.

A DeleteTopicRequest is used to delete a topic.

  • name (required): The name of the topic to delete. Structured like projects/{project}/locations/{location}/clusters/{cluster}/topics/{topic}.

The following sample demonstrate how to use curl to invoke the delete_topic MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_topic",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for DeleteTopic.

DeleteTopicRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the topic to delete. projects/{project}/locations/{location}/clusters/{cluster}/topics/{topic}.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌